[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.ClassParent

Return the parent class.

## Declaration

Source position: objpash.inc line 222

`public class function TObject.ClassParent: TClass;`

## Description

ClassParent returns the class of the parent class of the current class. This is always different from Nil, except for TObject.

## Errors

None.

## See also

ClassInfo |  | Return a pointer to the type information for this class.
ClassType |  | Return a "class of" pointer for the current class
ClassNameIs |  | Return the current class name.